org.eclipse.emf.facet.widgets.celleditors.modelCellEditor

## Interface ModelCellEditorPackage.Literals

Enclosing interface:
  ModelCellEditorPackage

    public static interface ModelCellEditorPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Generated:

### Field Summary

Fields
`static EClass` `ABSTRACT_MODEL_CELL_EDITOR` The meta object literal for the ' `Abstract Model Cell Editor`' class.
`static EAttribute` `ABSTRACT_MODEL_CELL_EDITOR__CELL_ID` The meta object literal for the 'Cell Id' attribute feature.
`static EReference` `ABSTRACT_MODEL_CELL_EDITOR__CELL_TYPE` The meta object literal for the 'Cell Type' reference feature.
`static EClass` `BASIC_CELL_EDITOR` The meta object literal for the ' `Basic Cell Editor`' class.
`static EAttribute` `BASIC_CELL_EDITOR__BASIC_CELL_EDITOR_IMPL` The meta object literal for the ' Basic Cell Editor Impl' attribute feature.
`static EClass` `MODEL_CELL_EDITOR_DECLARATIONS` The meta object literal for the ' `Declarations`' class.
`static EReference` `MODEL_CELL_EDITOR_DECLARATIONS__MODEL_CELL_EDITORS` The meta object literal for the 'Model Cell Editors' containment reference list feature.
`static EClass` `NARY_FEATURE_CELL_EDITOR` The meta object literal for the ' `Nary Feature Cell Editor`' class.
`static EAttribute` `NARY_FEATURE_CELL_EDITOR__NARY_FEATURE_CELL_EDITOR_IMPL` The meta object literal for the ' Nary Feature Cell Editor Impl' attribute feature.
`static EClass` `UNARY_REFERENCE_CELL_EDITOR` The meta object literal for the ' `Unary Reference Cell Editor`' class.
`static EAttribute` `UNARY_REFERENCE_CELL_EDITOR__UNARY_REFERENCE_CELL_EDITOR_IMPL` The meta object literal for the ' Unary Reference Cell Editor Impl' attribute feature.

### Field Detail

#### MODEL_CELL_EDITOR_DECLARATIONS

    static final EClass MODEL_CELL_EDITOR_DECLARATIONS

The meta object literal for the ' `Declarations`' class.

See Also:
  `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.ModelCellEditorDeclarationsImpl`, `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.ModelCellEditorPackageImpl#getModelCellEditorDeclarations()`
Generated:

#### MODEL_CELL_EDITOR_DECLARATIONS__MODEL_CELL_EDITORS

    static final EReference MODEL_CELL_EDITOR_DECLARATIONS__MODEL_CELL_EDITORS

The meta object literal for the 'Model Cell Editors' containment reference list feature.

Generated:

#### ABSTRACT_MODEL_CELL_EDITOR

    static final EClass ABSTRACT_MODEL_CELL_EDITOR

The meta object literal for the ' `Abstract Model Cell Editor`' class.

See Also:
  `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.AbstractModelCellEditorImpl`, `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.ModelCellEditorPackageImpl#getAbstractModelCellEditor()`
Generated:

#### ABSTRACT_MODEL_CELL_EDITOR__CELL_TYPE

    static final EReference ABSTRACT_MODEL_CELL_EDITOR__CELL_TYPE

The meta object literal for the 'Cell Type' reference feature.

Generated:

#### ABSTRACT_MODEL_CELL_EDITOR__CELL_ID

    static final EAttribute ABSTRACT_MODEL_CELL_EDITOR__CELL_ID

The meta object literal for the 'Cell Id' attribute feature.

Generated:

#### BASIC_CELL_EDITOR

    static final EClass BASIC_CELL_EDITOR

The meta object literal for the ' `Basic Cell Editor`' class.

See Also:
  `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.BasicCellEditorImpl`, `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.ModelCellEditorPackageImpl#getBasicCellEditor()`
Generated:

#### BASIC_CELL_EDITOR__BASIC_CELL_EDITOR_IMPL

    static final EAttribute BASIC_CELL_EDITOR__BASIC_CELL_EDITOR_IMPL

The meta object literal for the ' Basic Cell Editor Impl' attribute feature.

Generated:

#### UNARY_REFERENCE_CELL_EDITOR

    static final EClass UNARY_REFERENCE_CELL_EDITOR

The meta object literal for the ' `Unary Reference Cell Editor`' class.

See Also:
  `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.UnaryReferenceCellEditorImpl`, `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.ModelCellEditorPackageImpl#getUnaryReferenceCellEditor()`
Generated:

#### UNARY_REFERENCE_CELL_EDITOR__UNARY_REFERENCE_CELL_EDITOR_IMPL

    static final EAttribute UNARY_REFERENCE_CELL_EDITOR__UNARY_REFERENCE_CELL_EDITOR_IMPL

The meta object literal for the ' Unary Reference Cell Editor Impl' attribute feature.

Generated:

#### NARY_FEATURE_CELL_EDITOR

    static final EClass NARY_FEATURE_CELL_EDITOR

The meta object literal for the ' `Nary Feature Cell Editor`' class.

See Also:
  `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.NaryFeatureCellEditorImpl`, `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.ModelCellEditorPackageImpl#getNaryFeatureCellEditor()`
Generated:

#### NARY_FEATURE_CELL_EDITOR__NARY_FEATURE_CELL_EDITOR_IMPL

    static final EAttribute NARY_FEATURE_CELL_EDITOR__NARY_FEATURE_CELL_EDITOR_IMPL

The meta object literal for the ' Nary Feature Cell Editor Impl' attribute feature.

Generated: